import RouteBuilderFactory from './route-builder.factory';
import { RouteBuilder } from "static/js/services/route-builder/route-builder.service";


describe("Factory: RouteBuilderFactory", () => {
  var routeBuilderFactory: RouteBuilderFactory;
  var routeProviderMock;
  var pagesMock;
  var profiles;
  var currentProfile;

  beforeEach(() => {
    profiles = [
      {id: 'old-layout', templatePath: '/static/partials/'},
      {id: 'layout', templatePath: '/static/partials/'}
    ];
    currentProfile = 'layout';
    routeProviderMock = jasmine.createSpyObj('routeProvider', ['otherwise', 'when']);
    pagesMock = jasmine.createSpyObj('pagesMock', ['get', 'create']);
    routeBuilderFactory = new RouteBuilderFactory();
  });

  describe("constructor", () => {

  });

  describe("create", () => {

    it("returns a RouteBuilder instance", () => {
      var routeBuilder: RouteBuilder = routeBuilderFactory.create(routeProviderMock, pagesMock, profiles, currentProfile);

      expect(routeBuilder).toBeDefined();
    });
  });
});